## linux-ubuntu-modules-2.6.22 2.6.22-16.41

=== ubuntu/vmblock/Makefile ===
#!/usr/bin/make -f
#############################################################
# Copyright 1998 VMware, Inc.  All rights reserved. 
#############################################################
####
#### This program is free software; you can redistribute it and/or modify it
#### under the terms of the GNU General Public License as published by the
#### Free Software Foundation version 2 and no later version.
####
#### This program is distributed in the hope that it will be useful, but
#### WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#### or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#### for more details.
####
#### You should have received a copy of the GNU General Public License along
#### with this program; if not, write to the Free Software Foundation, Inc.,
#### 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = $(M)/vmblock
VM_CC=$(CC)
VM_CCVER=$(shell $(CC) -dumpversion)

HEADER_DIR = $(TOPDIR)/include
BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmblock

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ]; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

$(DRIVER_KO):
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) modules

else

ifneq ($(VM_CCVER), $(VMCCVER))
$(warning *** Inappropriate build environment: you wanted to use gcc \
 version $(VM_CCVER) while kernel attempts to use gcc version $(VMCCVER).)
$(error For proper build you'll have to replace $(CC) with symbolic \
 link to $(VM_CC))
endif

endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== ubuntu/vmhgfs/Makefile ===
#!/usr/bin/make -f
#############################################################
# Copyright 1998 VMware, Inc.  All rights reserved. 
#############################################################
####
#### This program is free software; you can redistribute it and/or modify it
#### under the terms of the GNU General Public License as published by the
#### Free Software Foundation version 2 and no later version.
####
#### This program is distributed in the hope that it will be useful, but
#### WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#### or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#### for more details.
####
#### You should have received a copy of the GNU General Public License along
#### with this program; if not, write to the Free Software Foundation, Inc.,
#### 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = $(M)/vmhgfs
VM_CC=$(CC)
VM_CCVER=$(shell $(CC) -dumpversion)

HEADER_DIR = $(TOPDIR)/include
BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmhgfs

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ]; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

$(DRIVER_KO):
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) modules

else

ifneq ($(VM_CCVER), $(VMCCVER))
$(warning *** Inappropriate build environment: you wanted to use gcc \
 version $(VM_CCVER) while kernel attempts to use gcc version $(VMCCVER).)
$(error For proper build you'll have to replace $(CC) with symbolic \
 link to $(VM_CC))
endif

endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== ubuntu/media/drm-poulsbo/Makefile ===
obj-m += drm.o
obj-m += psb.o

drm-objs := drm_auth.o drm_bufs.o drm_context.o drm_dma.o drm_drawable.o \
		drm_drv.o drm_fops.o drm_ioctl.o drm_irq.o \
		drm_lock.o drm_memory.o drm_proc.o drm_stub.o drm_vm.o \
		drm_sysfs.o drm_pci.o drm_agpsupport.o drm_scatter.o \
		drm_memory_debug.o ati_pcigart.o drm_sman.o \
		drm_hashtab.o drm_mm.o drm_object.o drm_compat.o \
		drm_fence.o drm_ttm.o drm_bo.o drm_bo_move.o \
		drm_crtc.o drm_edid.o drm_modes.o drm_regman.o

psb-objs := psb_drv.o psb_mmu.o psb_sgx.o psb_irq.o psb_fence.o psb_buffer.o \
		psb_gtt.o psb_setup.o psb_i2c.o psb_fb.o psb_msvdx.o \
		psb_msvdxinit.o psb_regman.o psb_reset.o psb_scene.o \
		psb_schedule.o psb_xhw.o

=== ubuntu/media/snd-hda-intel/Makefile ===
snd-hda-intel-y := \
	hda_intel.o \
	hda_proc.o \
	hda_codec.o \
	hda_generic.o \
	patch_realtek.o \
	patch_cmedia.o \
	patch_sigmatel.o \
	patch_analog.o \
	patch_si3054.o \
	patch_atihdmi.o \
	patch_conexant.o \
	patch_via.o

obj-m += snd-hda-intel.o

EXTRA_CFLAGS := -DCONFIG_SND_HDA_GENERIC

=== ubuntu/misc/tifm/Makefile ===
obj-m += tifm_core.o tifm_7xx1.o tifm_sd.o
obj-m += memstick.o ms_block.o mspro_block.o
obj-m += tifm_ms.o

=== ubuntu/net/ipg/Makefile ===
#
# Makefile for IC Plus Ethernet Adapter driver for Linux
# Copyright (c) 2004 by IC Plus Corporation.
#
#

ipg-objs := ipg_main.o
obj-m += ipg.o

EXTRA_CFLAGS += -DCONFIG_NET_IPG_IO

=== ubuntu/wireless/ipw3945/Makefile ===
obj-m	+= ipw3945.o

EXTRA_CFLAGS += -DCONFIG_IPW3945_MONITOR -DCONFIG_IPW3945_PROMISCUOUS \
	-DIPW3945_COMPAT=2

=== ubuntu/wireless/p54/Makefile ===

obj-m += p54common.o
obj-m += p54usb.o
CFLAGS_p54usb.o = -I$(src)/../../misc
obj-m += p54pci.o

=== ubuntu/wireless/rtl818x/Makefile ===
rtl8187-objs		:= rtl8187_dev.o rtl8187_rtl8225.o
obj-m			+= rtl8187.o

EXTRA_CFLAGS += -I$(src)/../../misc

=== ubuntu/wireless/sd8686/Makefile ===
# File: Makefile
#
# (c) Copyright <A9> 2003-2006, Marvell International Ltd.
#
# This software file (the "File") is distributed by Marvell International
# Ltd. under the terms of the GNU General Public License Version 2, June 1991
# (the "License").  You may use, redistribute and/or modify this File in
# accordance with the terms and conditions of the License, a copy of which
# is available along with the File in the gpl.txt file or by writing to
# the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 or on the worldwide web at http://www.gnu.org/licenses/gpl.txt.
#
# THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE
# IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE
# ARE EXPRESSLY DISCLAIMED.  The License provides additional details about
# this warranty disclaimer.


#############################################################################
# Configuration Options
#############################################################################

# Debug Option
# DEBUG LEVEL n/1/2:
# n: NO DEBUG
# 1: Only PRINTM(MSG,...), PRINTM(FATAL,...), ...
# 2: All PRINTM()
CONFIG_DEBUG=1

# Proc in /proc/net/wlan
CONFIG_PROC_DEBUG=n

# Linux Power Management
CONFIG_ENABLE_PM=n

# Re-association in driver
CONFIG_REASSOCIATION=y

# Manufacturing firmware support
CONFIG_MFG_CMD_SUPPORT=y


#############################################################################
# Compiler Flags
#############################################################################

CFLAGS += -I$(src)/os/linux
CFLAGS += -I$(src)/wlan
CFLAGS += -I$(src)/if/if_sdio_fb
CFLAGS += -DFB
CFLAGS += -DFPNUM='"13"'

ifeq ($(CONFIG_DEBUG),1)
	CFLAGS += -DDEBUG_LEVEL1
endif

ifeq ($(CONFIG_DEBUG),2)
	CFLAGS += -DDEBUG_LEVEL1
	CFLAGS += -DDEBUG_LEVEL2
	DBG=	-dbg
endif

ifeq ($(CONFIG_PROC_DEBUG),y)
	CFLAGS += -DPROC_DEBUG
	export CONFIG_PROC_DEBUG
endif

ifeq ($(CONFIG_ENABLE_PM),y)
	CFLAGS += -DENABLE_PM
endif

ifeq ($(CONFIG_REASSOCIATION),y)
	CFLAGS += -DREASSOCIATION
endif

ifeq ($(CONFIG_MFG_CMD_SUPPORT),y)
	CFLAGS += -DMFG_CMD_SUPPORT
endif

#############################################################################

WLANOBJS =	wlan/wlan_main.o wlan/wlan_fw.o wlan/wlan_wext.o \
		wlan/wlan_rx.o wlan/wlan_tx.o \
		wlan/wlan_cmd.o wlan/wlan_cmdresp.o \
		wlan/wlan_proc.o wlan/wlan_scan.o wlan/wlan_join.o \
		wlan/wlan_wmm.o wlan/wlan_11d.o \
		if/if_sdio_fb/if_sdio.o

ifeq ($(CONFIG_PROC_DEBUG), y)
WLANOBJS += wlan/wlan_debug.o
endif

obj-m += sd8xxx.o
sd8xxx-objs := $(WLANOBJS)

=== ubuntu/wireless/rtl8180/rtl_ieee80211/Makefile ===
EXTRA_CFLAGS += -I$(src)/../include

ieee80211-rtl-objs = rtl_ieee80211_softmac.o rtl_ieee80211_rx.o rtl_ieee80211_tx.o rtl_ieee80211_wx.o rtl_ieee80211_module.o rtl_ieee80211_softmac_wx.o
ieee80211-rtl-objs += rtl_ieee80211_crypt.o rtl_ieee80211_crypt_tkip.o rtl_ieee80211_crypt_ccmp.o rtl_ieee80211_crypt_wep.o crypto_compat.o

obj-m += ieee80211-rtl.o

=== ubuntu/wireless/iwlwifi/iwlwifi/origin/Makefile ===
CONFIG_IWL4965=m
CONFIG_IWL3945=m
EXTRA_CFLAGS += -I$(src)/../../mac80211/origin
EXTRA_CFLAGS += -I$(src)/../../mac80211/origin/net
EXTRA_CFLAGS += -DCONFIG_IWLWIFI_QOS=1
# NOTE:  We use common code from iwl-base.c to build driver
# specific binaries based on the #define IWL -- the target
# setup below creates a specific driver target from iwl-base.c
#
# NOTE2: base-XXXX.o has -D"KBUILD_MODNAME=KBUILD_STR(...)" in order to
# prevent the following kbuild error:
# 	include/linux/pci.h:603: error: `KBUILD_MODNAME' undeclared (first \
#		use in this function)
#
# -jpk

obj-$(CONFIG_IWL3945)	+= iwl3945.o
iwl3945-objs		= base-3945.o iwl-3945.o iwl-3945-rs.o
CFLAGS_iwl-3945.o	= -DIWL=3945
CFLAGS_iwl-3945-rs.o	= -DIWL=3945
CFLAGS_base-3945.o	= -DIWL=3945 -D"KBUILD_MODNAME=KBUILD_STR(iwl3945)"
$(obj)/base-3945.o: $(src)/iwl-base.c FORCE
	$(call cmd,force_checksrc)
	$(call if_changed_rule,cc_o_c)

obj-$(CONFIG_IWL4965)	+= iwl4965.o
iwl4965-objs		= base-4965.o iwl-4965.o iwl-4965-rs.o
CFLAGS_iwl-4965.o	= -DIWL=4965
CFLAGS_iwl-4965-rs.o	= -DIWL=4965
CFLAGS_base-4965.o	= -DIWL=4965 -D"KBUILD_MODNAME=KBUILD_STR(iwl4965)"
$(obj)/base-4965.o: $(src)/iwl-base.c FORCE
	$(call cmd,force_checksrc)
	$(call if_changed_rule,cc_o_c)

=== debian/changelog ===
linux-ubuntu-modules-2.6.22 (2.6.22-16.41) gutsy-security; urgency=low

  * ABI bump to -16

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 19 Nov 2008 21:23:13 +0100

linux-ubuntu-modules-2.6.22 (2.6.22-15.40) gutsy-security; urgency=low

  [Stefan Bader]

  * ndiswrapper: Prevent buffer overflow if nickname is IW_ESSID_MAX_SIZE
    characters long.
    - LP: #275860
    - CVE-2008-4395
  * ndiswrapper: Print exactly the number of characters in essid
    - LP: #275860
    - CVE-2008-4395

 -- Stefan Bader <stefan.bader@canonical.com>  Sun, 12 Oct 2008 11:28:31 -0400

linux-ubuntu-modules-2.6.22 (2.6.22-15.39) gutsy-security; urgency=low

  * ABI Bump to -15

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 11 Jun 2008 12:02:00 +0100

linux-ubuntu-modules-2.6.22 (2.6.22-14.38) gutsy-proposed; urgency=low

  [Amit Kucheria]

  * Poulsbo: Update DRM driver to sync with moblin tree

  [Phillip Lougher]

  * Backport lookup_one_len_nd NFS changes from Unionfs 2.0
    - LP: #137765, 103044
  * Backport unionfs_statfs from Unionfs 2.0
    - LP: #137765, 103044

  [Tim Gardner]

  * postinst does not run depmod correctly.
    - LP: #134193
  * depmod uses incorrect options in postinst and postrm
    - LP: #134193
  * Add STAC9228 DMIC support.
    - LP: #153963
  * l-u-m ships with OLD cx2341x mpeg encoder firmware
    - LP: #99107
  * Prevent hard system locks when lirc_pvr150 is loaded
    - LP: #156747
  * Fix version ipw3945 string for Centrino Mobile Test (CMT).
    - LP: #128360

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 19 Nov 2007 10:52:37 -0700

=== debian/control ===
Source: linux-ubuntu-modules-2.6.22
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), gcc-4.1-hppa64 [hppa], binutils-hppa64 [hppa], linux-headers-2.6.22-16-386 [i386], linux-headers-2.6.22-16-cell [powerpc], linux-headers-2.6.22-16-generic [i386 amd64], linux-headers-2.6.22-16-hppa32 [hppa], linux-headers-2.6.22-16-hppa64 [hppa], linux-headers-2.6.22-16-itanium [ia64], linux-headers-2.6.22-16-lpia [lpia], linux-headers-2.6.22-16-lpiacompat [lpia], linux-headers-2.6.22-16-mckinley [ia64], linux-headers-2.6.22-16-powerpc [powerpc], linux-headers-2.6.22-16-powerpc-smp [powerpc], linux-headers-2.6.22-16-powerpc64-smp [powerpc], linux-headers-2.6.22-16-rt [i386 amd64], linux-headers-2.6.22-16-server [i386 amd64], linux-headers-2.6.22-16-sparc64 [sparc], linux-headers-2.6.22-16-sparc64-smp [sparc], linux-headers-2.6.22-16-ume [i386], linux-headers-2.6.22-16-virtual [i386], linux-headers-2.6.22-16-xen [i386 amd64]


Package: linux-ubuntu-modules-2.6.22-16-386
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-cell
Architecture: powerpc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-cell
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on PowerPC Cell
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 PowerPC Cell.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-cell meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: rhcs-modules2-1, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-powerpc-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-powerpc-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 32-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 32-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-powerpc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-rt
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-rt
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-rt meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-sparc64
Architecture: sparc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-sparc64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit UltraSPARC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit UltraSPARC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-sparc64-smp
Architecture: sparc
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-sparc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on 64-bit UltraSPARC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 64-bit UltraSPARC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-sparc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-ume
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-ume
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on Embedded/Mobile
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 Embedded/Mobile.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-ume meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-virtual
Architecture: i386
Section: base
Priority: optional
Provides: apparmor-modules-2.1
Depends: linux-image-2.6.22-16-virtual
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.22 on virtualised hardware
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.22 on
 virtualised hardware.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-virtual meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-ubuntu-modules-2.6.22-16-xen
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9, apparmor-modules-2.1
Depends: linux-image-2.6.22-16-xen
